> ## Documentation Index
> Fetch the complete documentation index at: https://docs.riqra.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Obtener

> Obtiene una lista de precios por su ID.



## OpenAPI

````yaml /api/openapi.json get /price-lists/{priceListId}
openapi: 3.1.0
info:
  title: Riqra API
  version: '1.0'
  contact:
    email: soporte@riqra.com
    url: https://www.riqra.com/
    name: Riqra Support
  description: >-
    Usando nuestra API puedes integrar tu ERP o tu sistema actual de
    administración con [Riqra](https://www.riqra.com/).
servers:
  - url: https://sandbox.api.riqra.com
    description: Sandbox
  - description: Producción
    url: https://api.riqra.com
security:
  - API Key: []
tags:
  - name: Almacenes
  - name: Banners
  - name: Categorías
  - name: Clientes
  - name: Clientes - Direcciones
  - name: Cobertura
  - name: Comercio
  - name: Cupones
  - name: Inventario
  - name: Líneas de Crédito
  - name: Lista de Precios
  - name: Lista de Precios - Precios
  - name: Marcas
  - name: Pedidos
  - name: Productos
  - name: Productos Sugeridos
  - name: Promociones
  - name: Stock
  - name: Subcategorías
  - name: Variantes
paths:
  /price-lists/{priceListId}:
    parameters:
      - schema:
          type: string
        name: priceListId
        in: path
        required: true
    get:
      tags:
        - Lista de Precios
      summary: Obtener
      description: Obtiene una lista de precios por su ID.
      operationId: get-price-lists-priceListId
      parameters: []
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PriceListDetailResponse'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequest'
components:
  schemas:
    PriceListDetailResponse:
      title: PriceListDetailResponse
      type: object
      properties:
        data:
          $ref: '#/components/schemas/PriceList'
      required:
        - data
    BadRequest:
      title: BadRequest
      type: object
      x-examples: {}
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
              code:
                type:
                  - integer
                  - string
                deprecated: true
                description: Código referencial del error. No usar.
      description: ''
    PriceList:
      description: ''
      type: object
      properties:
        id:
          type: number
        name:
          type: string
        erpCode:
          type: string
        minimumOrder:
          type: number
          description: >-
            El valor mínimo que debe alcanzarse en el carrito para poder
            realizar el pedido.
        isDefault:
          type: boolean
          description: Indica si la lista de precios es la predeterminada en la plataforma.
      required:
        - id
        - name
        - erpCode
        - minimumOrder
        - isDefault
  securitySchemes:
    API Key:
      name: api-key
      type: apiKey
      in: header
      description: >-
        Todas las llamadas al API tienen que contener este header junto a la
        clave para poder autenticar y autorizar al cliente.

````